- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# xcb_glx_read_pixels_request_t Struct Reference
[XCB Glx API]

xcb_glx_read_pixels_request_t More...

`#include <glx.h>`

## Data Fields
uint8_t | major_opcode
uint8_t | minor_opcode
uint16_t | length
xcb_glx_context_tag_t | context_tag
int32_t | x
int32_t | y
int32_t | width
int32_t | height
uint32_t | format
uint32_t | type
uint8_t | swap_bytes
uint8_t | lsb_first

## Detailed Description

xcb_glx_read_pixels_request_t

## Field Documentation

uint8_t xcb_glx_read_pixels_request_t::major_opcode

uint8_t xcb_glx_read_pixels_request_t::minor_opcode

uint16_t xcb_glx_read_pixels_request_t::length

xcb_glx_context_tag_t xcb_glx_read_pixels_request_t::context_tag

int32_t xcb_glx_read_pixels_request_t::x

int32_t xcb_glx_read_pixels_request_t::y

int32_t xcb_glx_read_pixels_request_t::width

int32_t xcb_glx_read_pixels_request_t::height

uint32_t xcb_glx_read_pixels_request_t::format

uint32_t xcb_glx_read_pixels_request_t::type

uint8_t xcb_glx_read_pixels_request_t::swap_bytes

uint8_t xcb_glx_read_pixels_request_t::lsb_first

The documentation for this struct was generated from the following file:

- glx.h